Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a property

PATCH/contact-properties/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstring<uuid>required
Request body
application/json
fallback_valuestring | number | null
Show properties
Any of:
string
string
number
number
null
null
Responses
200

Contact property updated

objectstringrequired
Allowed:contact_property
idstring<uuid>required
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
422

Validation error

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.billionsend.com/contact-properties/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fallback_value": "string"
}'
Response
{
  "object": "contact_property",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Was this page helpful?